kind: Node
apiVersion: v1
metadata:
  name: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9
  uid: ea61d0c9-73aa-47be-9791-c0d0174c03b8
  resourceVersion: '66000'
  creationTimestamp: '2025-08-19T15:25:14Z'
  labels:
    beta.kubernetes.io/os: windows
    failure-domain.beta.kubernetes.io/zone: us-central1-a
    node.kubernetes.io/instance-type: n1-standard-4
    kubernetes.io/os: windows
    topology.kubernetes.io/zone: us-central1-a
    node-role.kubernetes.io/worker: ''
    failure-domain.beta.kubernetes.io/region: us-central1
    node.openshift.io/os_id: Windows
    beta.kubernetes.io/instance-type: n1-standard-4
    kubernetes.io/hostname: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9
    topology.kubernetes.io/region: us-central1
    beta.kubernetes.io/arch: amd64
    kubernetes.io/arch: amd64
    node.kubernetes.io/windows-build: 10.0.20348
  annotations:
    k8s.ovn.org/hybrid-overlay-distributed-router-gateway-mac: 00-15-5D-A1-19-39
    windowsmachineconfig.openshift.io/username: wx4EBwMIrjz+T6AN3XRgEn+F/FQl/N+jMC25RGzpXJTS5gF3lJv2/1nUTLLWVkm8<wmcoMarker>CBnibh0po5p/wjymnEXQZ0JIHnoXW0YfTI2q9tp2FyiHe6nYf6cF/t8hxMjfXicA<wmcoMarker>KB/g3gA=<wmcoMarker>=vU8J
    cloud.network.openshift.io/egress-ipconfig: '[{"interface":"nic0","ifaddr":{"ipv4":"10.0.128.0/17"},"capacity":{"ip":100}}]'
    windowsmachineconfig.openshift.io/version: 10.19.0-4aae868
    volumes.kubernetes.io/controller-managed-attach-detach: 'true'
    k8s.ovn.org/hybrid-overlay-node-subnet: 10.132.0.0/24
    windowsmachineconfig.openshift.io/pub-key-hash: 7c00ba8122aa764a192fe7d2d9ac4d3627b9c443c09480b18c055c2e178a6019
    alpha.kubernetes.io/provided-node-ip: 10.0.128.5
    windowsmachineconfig.openshift.io/desired-version: 10.19.0-4aae868
    machine.openshift.io/machine: openshift-machine-api/ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9
  managedFields:
    - manager: ci-ln-cgnxcq2-72292-k47l8-master-1
      operation: Update
      apiVersion: v1
      time: '2025-08-19T15:25:14Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/hybrid-overlay-node-subnet': {}
      subresource: status
    - manager: gcp-cloud-controller-manager
      operation: Update
      apiVersion: v1
      time: '2025-08-19T15:25:14Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            'f:beta.kubernetes.io/instance-type': {}
            'f:failure-domain.beta.kubernetes.io/region': {}
            'f:failure-domain.beta.kubernetes.io/zone': {}
            'f:node.kubernetes.io/instance-type': {}
            'f:topology.kubernetes.io/region': {}
            'f:topology.kubernetes.io/zone': {}
        'f:spec':
          'f:providerID': {}
    - manager: kubelet.exe
      operation: Update
      apiVersion: v1
      time: '2025-08-19T15:25:14Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:volumes.kubernetes.io/controller-managed-attach-detach': {}
          'f:labels':
            .: {}
            'f:beta.kubernetes.io/arch': {}
            'f:beta.kubernetes.io/os': {}
            'f:kubernetes.io/arch': {}
            'f:kubernetes.io/hostname': {}
            'f:kubernetes.io/os': {}
            'f:node.kubernetes.io/windows-build': {}
            'f:node.openshift.io/os_id': {}
    - manager: nodelink-controller
      operation: Update
      apiVersion: v1
      time: '2025-08-19T15:25:14Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:machine.openshift.io/machine': {}
          'f:labels':
            'f:node-role.kubernetes.io/worker': {}
    - manager: cloud-network-config-controller
      operation: Update
      apiVersion: v1
      time: '2025-08-19T15:25:15Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:cloud.network.openshift.io/egress-ipconfig': {}
    - manager: windows-machine-config-operator
      operation: Update
      apiVersion: v1
      time: '2025-08-19T15:25:20Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:windowsmachineconfig.openshift.io/desired-version': {}
            'f:windowsmachineconfig.openshift.io/pub-key-hash': {}
            'f:windowsmachineconfig.openshift.io/username': {}
    - manager: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9
      operation: Update
      apiVersion: v1
      time: '2025-08-19T15:26:16Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/hybrid-overlay-distributed-router-gateway-mac': {}
      subresource: status
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2025-08-19T15:26:20Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:taints': {}
    - manager: windows-instance-config-daemon.exe
      operation: Update
      apiVersion: v1
      time: '2025-08-19T15:26:27Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:windowsmachineconfig.openshift.io/version': {}
    - manager: kubelet.exe
      operation: Update
      apiVersion: v1
      time: '2025-08-19T16:01:44Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:alpha.kubernetes.io/provided-node-ip': {}
        'f:status':
          'f:conditions':
            'k:{"type":"DiskPressure"}':
              'f:lastHeartbeatTime': {}
            'k:{"type":"MemoryPressure"}':
              'f:lastHeartbeatTime': {}
            'k:{"type":"PIDPressure"}':
              'f:lastHeartbeatTime': {}
            'k:{"type":"Ready"}':
              'f:lastHeartbeatTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
          'f:images': {}
          'f:nodeInfo':
            'f:bootID': {}
      subresource: status
spec:
  providerID: 'gce://openshift-gce-devel-ci-2/us-central1-a/ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9'
  taints:
    - key: os
      value: Windows
      effect: NoSchedule
status:
  capacity:
    cpu: '4'
    ephemeral-storage: 134098924Ki
    memory: 15724904Ki
    pods: '250'
  allocatable:
    cpu: 3500m
    ephemeral-storage: '122511826330'
    memory: 13627752Ki
    pods: '250'
  conditions:
    - type: MemoryPressure
      status: 'False'
      lastHeartbeatTime: '2025-08-19T16:01:44Z'
      lastTransitionTime: '2025-08-19T15:25:13Z'
      reason: KubeletHasSufficientMemory
      message: kubelet has sufficient memory available
    - type: DiskPressure
      status: 'False'
      lastHeartbeatTime: '2025-08-19T16:01:44Z'
      lastTransitionTime: '2025-08-19T15:25:13Z'
      reason: KubeletHasNoDiskPressure
      message: kubelet has no disk pressure
    - type: PIDPressure
      status: 'False'
      lastHeartbeatTime: '2025-08-19T16:01:44Z'
      lastTransitionTime: '2025-08-19T15:25:13Z'
      reason: KubeletHasSufficientPID
      message: kubelet has sufficient PID available
    - type: Ready
      status: 'True'
      lastHeartbeatTime: '2025-08-19T16:01:44Z'
      lastTransitionTime: '2025-08-19T15:26:16Z'
      reason: KubeletReady
      message: kubelet is posting ready status
  addresses:
    - type: InternalIP
      address: 10.0.128.5
    - type: Hostname
      address: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9
  daemonEndpoints:
    kubeletEndpoint:
      Port: 10250
  nodeInfo:
    containerRuntimeVersion: 'containerd://1.7.26'
    machineID: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9
    kubeletVersion: v1.32.6
    systemUUID: BD26D8BD-D1D9-639E-297D-96F1DA22BF91
    bootID: '10'
    operatingSystem: windows
    architecture: amd64
    osImage: Windows Server 2022 Datacenter
    kubeProxyVersion: v1.32.6
    kernelVersion: 10.0.20348.4052
  images:
    - names:
        - 'mcr.microsoft.com/oss/kubernetes/pause@sha256:a67d781a5a51290a56f6fb603b8ac9509abce8948d5a52ff3e02e8669a83180d'
        - 'mcr.microsoft.com/oss/kubernetes/pause:3.9'
      sizeBytes: 307861950
